## freeipa 4.0.5

=== Makefile ===
include VERSION

SUBDIRS=daemons install ipapython ipa-client
CLIENTDIRS=ipapython ipa-client

PRJ_PREFIX=freeipa

RPMBUILD ?= $(PWD)/rpmbuild
TARGET ?= master

SUPPORTED_PLATFORM ?= fedora

IPA_NUM_VERSION ?= $(shell printf %d%02d%02d $(IPA_VERSION_MAJOR) $(IPA_VERSION_MINOR) $(IPA_VERSION_RELEASE))

# After updating the version in VERSION you should run the version-update
# target.

ifeq ($(IPA_VERSION_IS_GIT_SNAPSHOT),"yes")
GIT_VERSION=$(shell git show --pretty=format:"%h" --stat HEAD 2>/dev/null|head -1)
ifneq ($(GIT_VERSION),)
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE)GIT$(GIT_VERSION)
endif # in a git tree and git returned a version
endif # git

ifndef IPA_VERSION
ifdef IPA_VERSION_PRE_RELEASE
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE).pre$(IPA_VERSION_PRE_RELEASE)
else
ifdef IPA_VERSION_BETA_RELEASE
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE).beta$(IPA_VERSION_BETA_RELEASE)
else
ifdef IPA_VERSION_RC_RELEASE
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE).rc$(IPA_VERSION_RC_RELEASE)
else
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE)
endif # rc
endif # beta
endif # pre
endif # ipa_version

IPA_VENDOR_VERSION=$(IPA_VERSION)$(IPA_VENDOR_VERSION_SUFFIX)

TARBALL_PREFIX=freeipa-$(IPA_VERSION)
TARBALL=$(TARBALL_PREFIX).tar.gz

IPA_RPM_RELEASE=$(shell cat RELEASE)

LIBDIR ?= /usr/lib

DEVELOPER_MODE ?= 0
ifneq ($(DEVELOPER_MODE),0)
LINT_OPTIONS=--no-fail
endif

PYTHON ?= $(shell rpm -E %__python || echo /usr/bin/python2)

CFLAGS := -g -O2 -Wall -Wextra -Wformat-security -Wno-unused-parameter -Wno-sign-compare -Wno-missing-field-initializers $(CFLAGS)
export CFLAGS

# Uncomment to increase Java stack size for Web UI build in case it fails
# because of stack overflow exception. Default should be OK for most platforms.
#JAVA_STACK_SIZE ?= 8m
#export JAVA_STACK_SIZE

all: bootstrap-autogen server tests
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

client: client-autogen
	@for subdir in $(CLIENTDIRS); do \
		(cd $$subdir && $(MAKE) all) || exit 1; \
	done
	cd ipaplatform && $(PYTHON) setup.py build

bootstrap-autogen: version-update client-autogen
	@echo "Building IPA $(IPA_VERSION)"
	cd daemons; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR) --with-openldap; fi
	cd install; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi

client-autogen: version-update
	cd ipa-client; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi
	cd install; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi

tests-man-autogen: version-update
	cd ipatests/man; if [ ! -e Makefile ]; then ../../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi

install: all server-install tests-install
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

client-install: client client-dirs
	@for subdir in $(CLIENTDIRS); do \
		(cd $$subdir && $(MAKE) install) || exit 1; \
	done
	cd install/po && $(MAKE) install || exit 1;
	if [ "$(DESTDIR)" = "" ]; then \
		$(PYTHON) setup-client.py install; \
		(cd ipaplatform && $(PYTHON) setup.py install); \
	else \
		$(PYTHON) setup-client.py install --root $(DESTDIR); \
		(cd ipaplatform && $(PYTHON) setup.py install --root $(DESTDIR)); \
	fi

client-dirs:
	@if [ "$(DESTDIR)" != "" ] ; then \
		mkdir -p $(DESTDIR)/etc/ipa ; \
		mkdir -p $(DESTDIR)/var/lib/ipa-client/sysrestore ; \
	else \
		echo "DESTDIR was not set, please create /etc/ipa and /var/lib/ipa-client/sysrestore" ; \
		echo "Without those directories ipa-client-install will fail" ; \
	fi

lint: bootstrap-autogen
	./make-lint $(LINT_OPTIONS)
	$(MAKE) -C install/po validate-src-strings


test:
	./make-test

release-update:
	if [ ! -e RELEASE ]; then echo 0 > RELEASE; fi

version-update: release-update
	sed -e s/__VERSION__/$(IPA_VERSION)/ -e s/__RELEASE__/$(IPA_RPM_RELEASE)/ \
		freeipa.spec.in > freeipa.spec
	sed -e s/__VERSION__/$(IPA_VERSION)/ version.m4.in \
		> version.m4
	sed -e s/__VERSION__/$(IPA_VERSION)/ ipapython/setup.py.in \
		> ipapython/setup.py
	sed -e s/__VERSION__/$(IPA_VERSION)/ ipaplatform/setup.py.in \
		> ipaplatform/setup.py
	sed -e s/__VERSION__/$(IPA_VERSION)/ ipapython/version.py.in \
		> ipapython/version.py
	sed -e s/__VERSION__/$(IPA_VERSION)/ ipatests/setup.py.in \
		> ipatests/setup.py
	sed -e s/__NUM_VERSION__/$(IPA_NUM_VERSION)/ install/ui/src/libs/loader.js.in \
		> install/ui/src/libs/loader.js
	perl -pi -e "s:__API_VERSION__:$(IPA_API_VERSION_MAJOR).$(IPA_API_VERSION_MINOR):" install/ui/src/libs/loader.js
	perl -pi -e "s:__NUM_VERSION__:$(IPA_NUM_VERSION):" ipapython/version.py
	perl -pi -e "s:__VENDOR_VERSION__:$(IPA_VENDOR_VERSION):" ipapython/version.py
	perl -pi -e "s:__API_VERSION__:$(IPA_API_VERSION_MAJOR).$(IPA_API_VERSION_MINOR):" ipapython/version.py
	touch -r ipapython/version.py.in ipapython/version.py
	sed -e s/__VERSION__/$(IPA_VERSION)/ daemons/ipa-version.h.in \
		> daemons/ipa-version.h
	perl -pi -e "s:__NUM_VERSION__:$(IPA_NUM_VERSION):" daemons/ipa-version.h
	perl -pi -e "s:__DATA_VERSION__:$(IPA_DATA_VERSION):" daemons/ipa-version.h

	sed -e s/__VERSION__/$(IPA_VERSION)/ -e s/__RELEASE__/$(IPA_RPM_RELEASE)/ \
		ipa-client/ipa-client.spec.in > ipa-client/ipa-client.spec
	sed -e s/__VERSION__/$(IPA_VERSION)/ ipa-client/version.m4.in \
		> ipa-client/version.m4

	if [ "$(SUPPORTED_PLATFORM)" != "" ]; then \
		rm -f ipaplatform/paths.py ipaplatform/services.py ipaplatform/tasks.py; \
		ln -s $(SUPPORTED_PLATFORM)/paths.py ipaplatform/paths.py; \
		ln -s $(SUPPORTED_PLATFORM)/services.py ipaplatform/services.py; \
		ln -s $(SUPPORTED_PLATFORM)/tasks.py ipaplatform/tasks.py; \
	fi

	if [ "$(SKIP_API_VERSION_CHECK)" != "yes" ]; then \
		./makeapi --validate; \
		./makeaci --validate; \
	fi

server: version-update
	$(PYTHON) setup.py build
	cd ipaplatform && $(PYTHON) setup.py build

server-install: server
	if [ "$(DESTDIR)" = "" ]; then \
		$(PYTHON) setup.py install; \
		(cd ipaplatform && $(PYTHON) setup.py install); \
	else \
		$(PYTHON) setup.py install --root $(DESTDIR); \
		(cd ipaplatform && $(PYTHON) setup.py install --root $(DESTDIR)); \
	fi

tests: version-update tests-man-autogen
	cd ipatests; $(PYTHON) setup.py build
	cd ipatests/man && $(MAKE) all

tests-install: tests
	if [ "$(DESTDIR)" = "" ]; then \
		cd ipatests; $(PYTHON) setup.py install; \
	else \
		cd ipatests; $(PYTHON) setup.py install --root $(DESTDIR); \
	fi
	cd ipatests/man && $(MAKE) install

archive:
	-mkdir -p dist
	git archive --format=tar --prefix=ipa/ $(TARGET) | (cd dist && tar xf -)

local-archive:
	-mkdir -p dist/$(TARBALL_PREFIX)
	rsync -a --exclude=dist --exclude=.git --exclude=/build --exclude=rpmbuild . dist/$(TARBALL_PREFIX)

archive-cleanup:
	rm -fr dist/freeipa

tarballs: local-archive
	-mkdir -p dist/sources
	# tar up clean sources
	cd dist/$(TARBALL_PREFIX)/ipa-client; ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); make distclean
	cd dist/$(TARBALL_PREFIX)/daemons; ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); make distclean
	cd dist/$(TARBALL_PREFIX)/install; ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); make distclean
	cd dist; tar cfz sources/$(TARBALL) $(TARBALL_PREFIX)
	rm -rf dist/$(TARBALL_PREFIX)

rpmroot:
	rm -rf $(RPMBUILD)
	mkdir -p $(RPMBUILD)/BUILD
	mkdir -p $(RPMBUILD)/RPMS
	mkdir -p $(RPMBUILD)/SOURCES
	mkdir -p $(RPMBUILD)/SPECS
	mkdir -p $(RPMBUILD)/SRPMS

rpmdistdir:
	mkdir -p dist/rpms
	mkdir -p dist/srpms

rpms: rpmroot rpmdistdir version-update lint tarballs
	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
	rpmbuild --define "_topdir $(RPMBUILD)" -ba freeipa.spec
	cp $(RPMBUILD)/RPMS/*/$(PRJ_PREFIX)-*-$(IPA_VERSION)-*.rpm dist/rpms/
	cp $(RPMBUILD)/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
	rm -rf $(RPMBUILD)

client-rpms: rpmroot rpmdistdir version-update lint tarballs
	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
	rpmbuild --define "_topdir $(RPMBUILD)" --define "ONLY_CLIENT 1" -ba freeipa.spec
	cp $(RPMBUILD)/RPMS/*/$(PRJ_PREFIX)-*-$(IPA_VERSION)-*.rpm dist/rpms/
	cp $(RPMBUILD)/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
	rm -rf $(RPMBUILD)

srpms: rpmroot rpmdistdir version-update lint tarballs
	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
	rpmbuild --define "_topdir $(RPMBUILD)" -bs freeipa.spec
	cp $(RPMBUILD)/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
	rm -rf $(RPMBUILD)


repodata:
	-createrepo -p dist

dist: version-update archive tarballs archive-cleanup rpms repodata

local-dist: bootstrap-autogen clean local-archive tarballs archive-cleanup rpms


clean: version-update
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done
	rm -f *~

distclean: version-update
	touch daemons/NEWS daemons/README daemons/AUTHORS daemons/ChangeLog
	touch install/NEWS install/README install/AUTHORS install/ChangeLog
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done
	rm -fr $(RPMBUILD) dist build
	rm -f daemons/NEWS daemons/README daemons/AUTHORS daemons/ChangeLog
	rm -f install/NEWS install/README install/AUTHORS install/ChangeLog

maintainer-clean: clean
	rm -fr $(RPMBUILD) dist build
	cd daemons && $(MAKE) maintainer-clean
	cd install && $(MAKE) maintainer-clean
	cd ipa-client && $(MAKE) maintainer-clean
	cd ipapython && $(MAKE) maintainer-clean
	rm -f version.m4
	rm -f freeipa.spec

=== ipapython/Makefile ===
PYTHONLIBDIR ?= $(shell  python2 -c "from distutils.sysconfig import *; print get_python_lib()")
PACKAGEDIR ?= $(DESTDIR)/$(PYTHONLIBDIR)/ipa
CONFIGDIR ?= $(DESTDIR)/etc/ipa
TESTS = $(wildcard test/*.py)

SUBDIRS = py_default_encoding

all:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

install:
	if [ "$(DESTDIR)" = "" ]; then \
		python2 setup.py install; \
	else \
		python2 setup.py install --root $(DESTDIR); \
	fi
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

clean:
	rm -f *~ *.pyc
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

distclean: clean
	rm -f setup.py ipa-python.spec version.py
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

maintainer-clean: distclean
	rm -rf build
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

.PHONY: test
test: $(subst .py,.tst,$(TESTS))

%.tst: %.py
	python2 $<

=== debian/changelog ===
freeipa (4.0.5-6~numeezy+0~20210810020229.8+stretch~1.gbp10dfc9) jessie; urgency=medium

  ** SNAPSHOT build @10dfc9587b5f312537b72ee3e46ba70175a57345 **

  [ Mario Fetka ]
  * Imported Upstream version 4.7.2
  * Bump
  * Imported Upstream version 4.3.1

  [ Alexandre Ellert ]
  * Imported Debian patch 4.0.5-6~numeezy

 -- jenkins-debian-glue Autobuilder <jenkins@debbuild.disconnected-by-peer.at>  Tue, 10 Aug 2021 04:02:30 +0200

freeipa (4.0.5-6~numeezy) jessie; urgency=medium

  * Non-maintainer upload.

 -- Alexandre Ellert <aellert@numeezy.com>  Wed, 17 Feb 2016 15:07:45 +0100

freeipa (4.0.5-6) unstable; urgency=medium

  * control Add gnupg-agent to python-freeipa depends, and change gnupg
    to gnupg2. (LP: #1492184)
  * Rebuild against current krb5, there was an abi break which broke at
    least the setup phase.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Sep 2015 23:22:24 +0300

freeipa (4.0.5-5) unstable; urgency=medium

  * control: Drop selinux-policy-dev from build-depends, not needed
    anymore.
  * client.dirs,postrm: Drop removing /etc/pki/nssdb from postrm and let
    dpkg handle it. (Closes: #781114)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Apr 2015 17:16:37 +0300

freeipa (4.0.5-4) unstable; urgency=medium

  * control: Fix freeipa-tests depends.
  * control: Add systemd-sysv to server depends. (Closes: #780386)
  * freeipa-client.postrm: Purge /etc/pki if empty. (Closes: #781114)
  * add-a-clear-openssl-exception.diff: Add a clear OpenSSL exception.
    (Closes: #772136)
  * control: Add systemd to build-depends.
  * dont-check-for-systemd-pc.diff: Dropped, not needed anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Apr 2015 10:53:55 +0300

freeipa (4.0.5-3) unstable; urgency=medium

  * rules: Set JAVA_STACK_SIZE to hopefully avoid FTBFS on exotic archs.
  * freeipa-client.postrm: Remove nssdb files on purge. (Closes:
    #775387)
  * freeipa-client.postinst: Fix bashism with echo. (Closes: #772242)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Mar 2015 14:51:35 +0200

freeipa (4.0.5-2) unstable; urgency=medium

  * Team upload.
  * Let python-freeipa depend on python-pyasn1, because pyasn1 is imported
    by ipalib/pkcs10.py and ipalib/plugins/cert.py.
  * debian/copyright: Drop unused PD license section
  * debian/copyright: Fix paths of Javascript files

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 24 Nov 2014 12:32:36 +0100

freeipa (4.0.5-1) unstable; urgency=medium

  * New upstream release
    - Fix CVE-2014-7828. (Closes: #768294)
  * control: Update my email address.
  * fix-bind-conf.diff, add-debian-platform.diff: Fix bind config
    template to use Debian specific paths, and replace named.conf not
    named.conf.local. (Closes: #768122)
  * rules, -server.postinst: Create /var/cache/bind/data owned by bind
    user.
  * rules: Fix /var/lib/ipa/backup permissions.
  * Add non-standard-dir-perm to server lintian overrides.
  * copyright: Fix a typo.
  * control: Bump dependency on bind9-dyndb-ldap to 6.0-4~.
  * control: Move dependency on python-qrcode and python-yubico from
    server to python-freeipa and drop python-selinux which belongs to
    pki-server.
  * control: Relax libxmlrpc-core-c3-dev buil-dep and 389-ds-base dep
    for easier backporting.
  * control: Add python-dateutils to server, and python-dbus and python-
    memcache to python-freeipa dependencies. (Closes: #768187)
  * platform: Handle /etc/default/nfs-common and /etc/default/autofs,
    drop NSS_DB_DIR since it's inherited already. (Closes: #769037)
  * control: Bump policy to 3.9.6, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Nov 2014 10:38:52 +0200

freeipa (4.0.4-2) unstable; urgency=medium

  * control: Add python-qrcode, python-selinux, python-yubico
    to freeipa-server dependencies. (Closes: #767427)
  * freeipa-server.postinst: Enable mod_authz_user and mod_deflate too,
    but since they should be part of the default apache2 install, don't
    disable them on uninstall like the other modules. (Closes: #767425)
  * control: Bump server dependency on -mod-nss to 1.0.10-2 which
    doesn't enable the module by default.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 31 Oct 2014 11:36:51 +0200

freeipa (4.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #734703)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 02:43:59 +0300

=== debian/control ===
Source: freeipa
Section: net
Priority: extra
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 389-ds-base-dev (>= 1.3.3.2),
 check,
 debhelper (>= 9),
 dh-autoreconf,
 dh-python,
 dh-systemd,
 gettext,
 krb5-user,
 libcmocka-dev,
 libcurl4-nss-dev,
 libkrad-dev,
 libkrb5-dev (>= 1.12),
 libldap2-dev,
 libnspr4-dev,
 libnss3-dev,
 libpopt-dev,
 librhino-java,
 libsasl2-dev,
 libssl-dev,
 libsss-idmap-dev,
 libsss-nss-idmap-dev,
 libsvrcore-dev,
 libtalloc-dev,
 libtevent-dev,
 libunistring-dev,
 libverto-dev,
 libxmlrpc-core-c3-dev (>= 1.33.06),
 python-all-dev,
 python-dnspython (>= 1.11.1),
 python-kerberos,
 python-krbv,
 python-ldap,
 python-lesscpy,
 python-libipa-hbac,
 python-lxml,
 python-memcache,
 python-netaddr,
 python-nose,
 python-nss,
 python-openssl,
 python-polib,
 python-pyasn1,
 python-qrcode (>= 5.0.0),
 python-setuptools,
 python-sss (>= 1.8.0),
 python-yubico,
 rhino,
 samba-dev,
 systemd,
 uuid-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-freeipa/freeipa.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freeipa/freeipa.git
Homepage: http://www.freeipa.org

Package: freeipa-server
Architecture: any
Depends:
 389-ds-base (>= 1.3.3.5-2~),
 acl,
 apache2,
 bind9,
 bind9-dyndb-ldap (>= 6.0-4~),
 certmonger (>= 0.75.14),
 dogtag-pki-server-theme,
 fonts-font-awesome,
 freeipa-admintools (= ${binary:Version}),
 freeipa-client (= ${binary:Version}),
 krb5-admin-server,
 krb5-kdc,
 krb5-kdc-ldap,
 krb5-pkinit,
 ldap-utils,
 libapache2-mod-auth-kerb (>= 5.4-2.2~),
 libapache2-mod-nss (>= 1.0.10-2~),
 libapache2-mod-wsgi,
 libjs-dojo-core,
 libjs-jquery,
 libnss3-tools,
 libsasl2-modules-gssapi-mit,
 memcached,
 ntp,
 pki-ca,
 python-dateutil,
 python-freeipa (= ${binary:Version}),
 python-krbv,
 python-ldap,
 python-pyasn1,
 slapi-nis (>= 0.54),
 systemd-sysv,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FreeIPA centralized identity framework -- server
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This is the server package.

Package: freeipa-server-trust-ad
Architecture: any
Depends:
 freeipa-server (= ${binary:Version}),
 python-libsss-nss-idmap,
 python-m2crypto,
 python-samba,
 samba,
 winbind,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FreeIPA centralized identity framework -- AD trust installer
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 Cross-realm trusts with Active Directory in IPA require working Samba 4
 installation. This package is provided for convenience to install all required
 dependencies at once.

Package: freeipa-client
Architecture: any
Depends:
 bind9utils,
 certmonger,
 dnsutils,
 krb5-user,
 libcurl3 (>= 7.22.0),
 libnss3-tools,
 libsasl2-modules-gssapi-mit,
 libxmlrpc-core-c3 (>= 1.16.33-3.1ubuntu5),
 ntp,
 python-dnspython,
 python-freeipa (= ${binary:Version}),
 python-krbv,
 python-ldap,
 sssd (>= 1.11.1),
 wget,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests: libpam-krb5
Description: FreeIPA centralized identity framework -- client
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This is the client package.

Package: freeipa-admintools
Architecture: any
Depends:
 freeipa-client (= ${binary:Version}),
 python-freeipa (= ${binary:Version}),
 python-krbv,
 python-ldap,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FreeIPA centralized identity framework -- admintools
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package contains some tools for administrators.

Package: freeipa-tests
Architecture: any
Depends:
 freeipa-client (= ${binary:Version}),
 libnss3-tools,
 python-coverage,
 python-freeipa (= ${binary:Version}),
 python-nose,
 python-paramiko,
 python-paste,
 python-polib,
 xz-utils,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-yaml,
Description: FreeIPA centralized identity framework -- tests
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package contains tests that verify IPA functionality.

Package: python-freeipa
Architecture: any
Section: python
Depends:
 gnupg2,
 gnupg-agent,
 iproute,
 keyutils,
 python-dbus,
 python-dnspython,
 python-kerberos,
 python-krbv,
 python-ldap,
 python-libipa-hbac,
 python-lxml,
 python-memcache,
 python-netaddr,
 python-nss,
 python-openssl,
 python-pyasn1,
 python-qrcode (>= 5.0.0),
 python-yubico,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FreeIPA centralized identity framework -- Python modules
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This Python module is used by other FreeIPA packages.

=== debian/rules ===
#!/usr/bin/make -f 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ONLY_CLIENT=1
DESTDIR=$(CURDIR)/debian/tmp

PLATFORM="SUPPORTED_PLATFORM=debian"
JAVA_STACK_SIZE ?= 8m
export JAVA_STACK_SIZE

# For maintainer use only, generate a tarball:
SOURCE = freeipa
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream --prefix=$(SOURCE)-$(UV)/ | xz --best > ../$(SOURCE)_$(UV).orig.tar.xz

override_dh_auto_clean:
	for i in daemons install ipapython ipaserver ipa-client; do \
		(cd $$i && [ ! -f Makefile ] || $(MAKE) distclean); \
		(cd $$i && rm -f COPYING INSTALL depcomp install-sh missing py-compile config.guess config.sub aclocal.m4 config.h.in version.m4); \
	done
	find . -name "*.pyo" -o -name "*.pyc" -type f -exec rm -f "{}" \;
	find . -name "ltmain.sh" -exec rm -f "{}" \;
	find . -name "configure" -exec rm -f "{}" \;
	rm -rf daemons/ipa-version.h freeipa.spec freeipa.egg-info ipa-client/ipa-client.spec version.m4
	rm -rf ipapython/build RELEASE build

override_dh_autoreconf:
	make IPA_VERSION_IS_GIT_SNAPSHOT=no version-update
	dh_autoreconf; cd ..

override_dh_auto_configure:
	dh_auto_configure -Dipa-client
ifneq ($(ONLY_CLIENT), 1)
	dh_auto_configure -Ddaemons -- \
		--with-openldap \
		--with-systemdsystemunitdir=/lib/systemd/system

	dh_auto_configure -Dinstall
endif

override_dh_auto_build:
ifneq ($(ONLY_CLIENT), 1)
	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no all
#	cd selinux ; make all
else
	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no client
endif

# tests would just fail, they need a proper environment with 389 running et al
override_dh_auto_test:

override_dh_auto_install:
ifneq ($(ONLY_CLIENT), 1)
	# Force re-generate of platform support
	rm -f ipapython/services.py
	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no install DESTDIR=$(DESTDIR)
	cd ..

	chmod 755 $(DESTDIR)/usr/lib/*/ipa/certmonger/*

	mkdir -p $(DESTDIR)/etc/bash_completion.d \
		 $(DESTDIR)/etc/default \
		 $(DESTDIR)/usr/share/ipa/html

	touch $(DESTDIR)/usr/share/ipa/html/ca.crt
	touch $(DESTDIR)/usr/share/ipa/html/configure.jar
	touch $(DESTDIR)/usr/share/ipa/html/kerberosauth.xpi
	touch $(DESTDIR)/usr/share/ipa/html/krb.con
	touch $(DESTDIR)/usr/share/ipa/html/krb.js
	touch $(DESTDIR)/usr/share/ipa/html/krb5.ini
	touch $(DESTDIR)/usr/share/ipa/html/krbrealm.con
	touch $(DESTDIR)/usr/share/ipa/html/preferences.html

	install -m 0644 contrib/completion/ipa.bash_completion $(DESTDIR)/etc/bash_completion.d/ipa
	install -m 0644 init/ipa_memcached.conf $(DESTDIR)/etc/default/ipa_memcached
	install -m 0644 init/systemd/ipa_memcached.service $(DESTDIR)/lib/systemd/system
	install -m 0644 init/systemd/ipa.service $(DESTDIR)/lib/systemd/system
	install -m 0755 debian/generate-rndc-key.sh $(DESTDIR)/usr/share/ipa
else
	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no client-install DESTDIR=$(DESTDIR)
endif

	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# purge precompiled .pyc/.pyo files
	find $(CURDIR)/debian/tmp -name '*.py[c,o]' -exec rm '{}' ';'
	# fix permissions
	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;

override_dh_install:
	dh_install --list-missing

ifneq ($(ONLY_CLIENT), 1)
	mkdir -m 770 -p $(CURDIR)/debian/freeipa-server/var/cache/bind/data
	mkdir -m 700 -p $(CURDIR)/debian/freeipa-server/var/lib/ipa/backup
endif

override_dh_fixperms:
	dh_fixperms -X var/cache/bind/data -X var/lib/ipa/backup

%:
	dh $@ --with autoreconf,python2,systemd
